## org.openqa.selenium.server.browserlaunchers
Class SafariFileBasedLauncher

    java.lang.Object
      org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
          org.openqa.selenium.server.browserlaunchers.SafariCustomProfileLauncher
              org.openqa.selenium.server.browserlaunchers.SafariFileBasedLauncher

All Implemented Interfaces:
  BrowserLauncher

    public class SafariFileBasedLauncher

extends SafariCustomProfileLauncher

Field Summary

Fields inherited from class org.openqa.selenium.server.browserlaunchers.SafariCustomProfileLauncher
`browserInstallation, cmdarray, customProfileDir, exe, mpm, process, wpm`

Fields inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`browserConfigurationOptions, sessionId`

Constructor Summary
`SafariFileBasedLauncher(BrowserConfigurationOptions browserOptions, RemoteControlConfiguration configuration, java.lang.String sessionId, java.lang.String browserLaunchLocation)`

Method Summary
`protected void` `launch(java.lang.String url)`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.SafariCustomProfileLauncher
`changeRegistrySettings, close, ensureCleanSession, getProcess, launchSafari, locateSafari, makeRedirectionHtml`

Methods inherited from class org.openqa.selenium.server.browserlaunchers.AbstractBrowserLauncher
`getConfiguration, getPort, launchHTMLSuite, launchRemoteSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SafariFileBasedLauncher

    public SafariFileBasedLauncher(BrowserConfigurationOptions browserOptions,
                                   RemoteControlConfiguration configuration,
                                   java.lang.String sessionId,
                                   java.lang.String browserLaunchLocation)

Method Detail

### launch

    protected void launch(java.lang.String url)

  Overrides:
    `launch` in class `SafariCustomProfileLauncher`

Copyright © 2009. All Rights Reserved.